unit Btn1;

{$IfnDef Win32}
!!!!!! This only works in 32-bit Delphi !!!!!!
{$endif}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Zseg, zonzoff, zAnimate, zPanel, ExtCtrls, Mystd, Blend, MMSystem, Std2;

type
  TForm1 = class(TForm)
    zBackground1: TzBackground;
    zTitleBar1: TzTitleBar;
    Panel1: TPanel;
    zColorBtn1: TzColorBtn;
    zcSingleOnOff1: TzcSingleOnOff;
    zcDotLabel1: TzcDotLabel;
    zcDotLabel2: TzcDotLabel;
    zcSingleOnOff2: TzcSingleOnOff;
    zcSingleOnOff3: TzcSingleOnOff;
    zcSingleOnOff4: TzcSingleOnOff;
    zcSingleOnOff5: TzcSingleOnOff;
    zcSingleOnOff6: TzcSingleOnOff;
    zcSingleOnOff7: TzcSingleOnOff;
    zcTimer1: TzcTimer;
    procedure FormCreate(Sender: TObject);
    procedure zColorBtn1Click(Sender: TObject);
    procedure zcSingleOnOff1On(Sender: TObject);
    procedure zcSingleOnOff2Off(Sender: TObject);
    procedure zcSingleOnOff7On(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    HaveSound : Boolean;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  {Test if we have a soundcard}
  HaveSound:=(WaveOutGetNumDevs>0);
  zcDotLabel1.Caption:='-non-';
  If HaveSound Then Begin
    zcDotLabel2.Caption:='Sound OK';
  End Else Begin
    zcDotLabel2.Caption:='No Sound';
    zcSingleOnOff1.Enabled:=False;
    zcSingleOnOff2.Enabled:=False;
    zcSingleOnOff3.Enabled:=False;
    zcSingleOnOff4.Enabled:=False;
    zcSingleOnOff5.Enabled:=False;
    zcSingleOnOff6.Enabled:=False;
    zColorBtn1.Enabled:=False;
  End;
end;

procedure TForm1.zColorBtn1Click(Sender: TObject);
begin
  If zcSingleOnOff1.SwitchOn Then MessageBeep($FFFFFFFF) else
  If zcSingleOnOff2.SwitchOn Then MessageBeep(MB_ICONASTERISK) else
  If zcSingleOnOff3.SwitchOn Then MessageBeep(MB_ICONEXCLAMATION) else
  If zcSingleOnOff4.SwitchOn Then MessageBeep(MB_ICONHAND) else
  If zcSingleOnOff5.SwitchOn Then MessageBeep(MB_ICONQUESTION) else
  If zcSingleOnOff6.SwitchOn Then MessageBeep(MB_OK) else
    zcDotLabel1.Caption:='Beeb';
end;

procedure TForm1.zcSingleOnOff1On(Sender: TObject);
Var
  I : Integer;
begin
  For I:=1 to 6 Do begin
    If (FindComponent('zcSingleOnOff'+IntToStr(I)))<>Sender Then
      (FindComponent('zcSingleOnOff'+IntToStr(I)) As TzcSingleOnOff).SwitchOn:=False;
  End;
  zcSingleOnOff2Off(Sender);
end;

procedure TForm1.zcSingleOnOff2Off(Sender: TObject);
begin
  If zcSingleOnOff1.SwitchOn Then zcDotLabel1.Caption:='Standard' else
  If zcSingleOnOff2.SwitchOn Then zcDotLabel1.Caption:='Asterisk' else
  If zcSingleOnOff3.SwitchOn Then zcDotLabel1.Caption:='Exclamation' else
  If zcSingleOnOff4.SwitchOn Then zcDotLabel1.Caption:='Hand' else
  If zcSingleOnOff5.SwitchOn Then zcDotLabel1.Caption:='Question' else
  If zcSingleOnOff6.SwitchOn Then zcDotLabel1.Caption:='Default' else
    zcDotLabel1.Caption:='-non-';
end;

procedure TForm1.zcSingleOnOff7On(Sender: TObject);
begin
  Close;
end;

end.
